<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('frontend.index');
});

Route::get('about', function () {
    return view('frontend.about');
});

Route::get('terms&condition', function () {
    return view('frontend.terms&conditions');
});

Route::get('privacy-policy', function () {
    return view('frontend.privacy-policy');
});

Route::get('search_result', function () {
    return view('frontend.search-result');
});

Route::get('book_now', function () {
    return view('frontend.book-now');
});

Route::get('faq', function () {
    return view('frontend.faq');
});

Route::get('customer-support', function () {
    return view('frontend.customer-support');
});

Route::get('contact', function () {
    return view('frontend.contact');
});

Route::get('admin', function () {
    return view('backend.login');
});

Route::get('dashboard', function () {
    return view('backend.dashboard');
});

Route::get('location_list', function () {
    return view('backend.manage-location');
});

Route::get('providers', function () {
    return view('backend.manage-providers');
});

Route::get('add_location', function () {
    return view('backend.add-location');
});

Route::get('edit_location', function () {
    return view('backend.edit-location');
});

Route::get('add_parking', function () {
    return view('backend.add-parking-provider');
});

Route::get('edit_parking', function () {
    return view('backend.edit-parking-provider');
});
Route::get('book_now_list', function () {
    return view('backend.book-now-list');
});

Route::get('city-master', function () {
    return view('backend.city-master');
});

Route::get('add-city-master', function () {
    return view('backend.add-city-master');
});

Route::get('manage-peak-days', function () {
    return view('backend.manage-peak-days');
});

Route::get('add-peak-days', function () {
    return view('backend.add-peak-days');
});

Route::post('signin_process', 'App\Http\Controllers\LoginController@signin_process');
Route::post('add_location_submit', 'App\Http\Controllers\ManageController@add_location');
Route::post('update_location_submit', 'App\Http\Controllers\ManageController@update_location_submit');
Route::get('delete_location&id={id}', 'App\Http\Controllers\ManageController@delete_location');
Route::get('delete_parking&id={id}', 'App\Http\Controllers\ManageController@delete_parking');
Route::post('add_provider_submit', 'App\Http\Controllers\ManageController@add_provider_submit');
Route::post('update_provider', 'App\Http\Controllers\ManageController@update_provider');
Route::post('add_booking', 'App\Http\Controllers\WebController@add_booking');
Route::get('delete_booking&id={id}', 'App\Http\Controllers\WebController@delete_booking');
Route::post('get_booking_details', 'App\Http\Controllers\WebController@get_booking_details');

Route::post('add_city', 'App\Http\Controllers\WebController@add_city');
Route::get('edit-city-master&id={id}','App\Http\Controllers\WebController@edit_city');
Route::post('update_city', 'App\Http\Controllers\WebController@update_city');
Route::get('delete_city&id={id}', 'App\Http\Controllers\WebController@delete_city');

Route::get('edit_parking&id={id}','App\Http\Controllers\ManageController@edit_parking');

Route::post('get-provider','App\Http\Controllers\ManageController@fetch_provider');


Route::post('add_days','App\Http\Controllers\ManageController@add_days');

Route::get('edit_peakdays&id={id}','App\Http\Controllers\ManageController@edit_peakdays');

Route::post('update_days','App\Http\Controllers\ManageController@update_days');

Route::get('delete_peakdays&id={id}', 'App\Http\Controllers\ManageController@delete_peakdays');

Route::post('get_provider_details', 'App\Http\Controllers\ManageController@get_provider_details');

Route::post('search-results', 'App\Http\Controllers\SearchController@search_filter');

Route::post('get_all_details', 'App\Http\Controllers\ManageController@get_all_details');

Route::get('logout', 'App\Http\Controllers\LoginController@logout_process');
